Class Specialization
Chained Seed
Additionaly diagonal segments between start and end position2 are stored.

Seed

Chained Seed

Seed<ChainedSeed, TConfig>
Parameters

TConfig | The configuration object used for the seed. Default: DefaultSeedConfig.

Specialization of
Seed
Metafunctions

Diagonal | Returns type of the value for the diagonal of a seed. (Seed)
Iterator | The seed diagonal iterator type.
Position | The position type of a SeedDiagonal. (Seed)
Reference | The seed diagonal reference type.
SeedScore | Returns type of the value for the score of a seed. (Seed)
Size | The position type of a SeedDiagonal. (Seed)
Value | The seed diagonal type.

Member Functions

Seed | Constructor

Functions

addSeed | Adds a seed to an existing SeedSet using different algorithms for local chaining. (Seed)
appendDiagonal | Adds diagonal to the Chained Seed.
assign | Assigns one object to another object. (Seed)
beginDiagonal | Returns the diagonal of the start point. (Seed)
beginPositionH | Returns the begin position of the seed in the database. (Seed)
beginPositionV | Returns the begin position of the seed in the query. (Seed)
endDiagonal | Returns the diagonal of the end point. (Seed)
endPositionH | Returns the end position of the seed in the database. (Seed)
endPositionV | Returns the end position of the seed in the query. (Seed)
extendSeed | Extends a seed. (Seed)
length | Returns the number of diagonals in the chained seed.
lowerDiagonal | Returns the leftmost diagonal of the seed (minimum diagonal value). (Seed)
move | Hands over content from one container to another container. (Seed)
score | Returns the score of the seed. (Seed)
setBeginPositionH | Sets the begin position of the seed in the database. (Seed)
setBeginPositionV | Sets the begin position of the seed in the query. (Seed)
setEndPositionH | Sets the end position of the seed in the database. (Seed)
setEndPositionV | Returns the end position of the seed in the query. (Seed)
setLowerDiagonal | Sets a new value for the leftmost diagonal. (Seed)
setScore | Set the score value of a seed. (Seed)
setUpperDiagonal | Sets a new value for the rightmost diagonal. (Seed)
truncateDiagonals | Removes diagonals from the given first one to the end of the seed's diagonals.
upperDiagonal | Returns the rightmost diagonal of the seed (maximum diagonal value). (Seed)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00